Subject: bug#50858: Installing git-annex for aarch64 fails on ghc build

From: Zacchaeus Scheffer <[email-masked]>
Date: Mon, 27 Sep 2021 18:28:38 -0400

Hi Guix!

I'm trying to install git-annex for aarch64, but it fails on the following
line:

\ 'configure-bin' phasebuilder for
`/gnu/store/b6j0zdnbpdhx81npbk25m4nls5y1h3f5-ghc-7.10.2.drv' failed with
exit code 1

I have attached the log for the failed ghc build.  The first error there
seems to be:

/tmp/guix-build-ghc-7.10.2.drv-0/ghc-7.10.2/ghc-bin/ghc-7.8.4/utils/ghc-pwd/dist-install/build/tmp/ghc-pwd:
cannot execute binary file: Exec format error

Seeing as this works fine for x86, I'm guessing that a ghc-pwd is being
used that was compiled for x86, maybe an error in setting up cross
compiling?

Thanks,
Zacchae